# $Revision: 1.14 $, $Date: 2008-03-18 20:30:20 $
Summary:	kFlickr - standalone Flickr.com uploader for KDE
Summary(pl.UTF-8):	kFlickr - samodzielne narzędzie dla KDE do przesyłania danych na Flickr.com
Name:		kflickr
Version:	0.9.1
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/kflickr/%{name}-%{version}.tar.bz2
# Source0-md5:	4a248190f2e35dd4dbffcc2f26671ec6
Patch0:		%{name}-desktop.patch
URL:		http://kflickr.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	kdelibs-devel >= 9:3.2
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# kde packages & __cc with spaces don't work
%undefine	with_ccache

%description
kFlickr is a standalone KDE application that allows for easy upload of
your favourite photos to your Flickr.com account. kFlickr provides the
following features:
- drag and drop from other applications (such as Konqueror and
  DigiKam)
- easy editing of your photo properties (title, description, privacy,
  tags)
- access to your Flickr.com list of tags
- support for more than one user
- image preview
- support for the new Flickr.com authentication
- batch editing of photos
- proxy server support
- support for JPG, PNG and (non-animated) GIF photo formats

%description -l pl.UTF-8
kFlickr to samodzielna aplikacja KDE pozwalająca na łatwe przesyłanie
ulubionych zdjęć na konto Flickr.com. kFlickr daje następujące
możliwości:
- przeciąganie z innych aplikacji (takich jak Konqueror czy DIgiKam)
- łatwą zmianę właściwości zdjęć (tytułu, opisu, danych prywatnych,
  znaczników)
- dostęp do listy znaczników Flickr.com
- obsługę więcej niż jednego użytkownika
- podgląd obrazów
- obsługę nowego uwierzytelnienia Flickr.com
- wsadowe modyfikowanie zdjęć
- obsługę serwera proxy
- obsługę formatów zdjęć JPG, PNG i (nie animowanego) GIF

%prep
%setup -q
%patch0 -p0

%build
%{__make} -f admin/Makefile.common cvs
%configure \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full} \
	--with-qt-libraries=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir} \
	kde_appsdir=%{_desktopdir}

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/kflickr
%attr(755,root,root) %{_libdir}/kde3/*.so
%{_libdir}/kde3/*.la
%{_datadir}/apps/kflickr*
%{_iconsdir}/hicolor/*/*/*.png
%{_desktopdir}/kde/*.desktop
%{_mandir}/man1/kflickr*
%{_datadir}/apps/konqueror/servicemenus/kflickr_servicemenu.desktop
%{_datadir}/services/kflickrpart.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kflickr.spec,v $
Revision 1.14  2008-03-18 20:30:20  darekr
- updated to 0.9.1
- desktop file has been moved to _desktopdir/kde

Revision 1.13  2008-02-14 16:46:41  mick3y
- version 0.9
- removed am1.10 patch -  builds without it

Revision 1.12  2007-03-26 23:53:16  shadzik
- unify build process
- add patch1

Revision 1.11  2007/03/26 23:45:40  shadzik
- 0.8

Revision 1.10  2007/02/13 08:06:37  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:49:00  baggins
- converted to UTF-8

Revision 1.8  2006/12/20 00:29:13  glen
- fixed destop encoding

Revision 1.7  2006/08/22 13:10:45  glen
- __cc hack

Revision 1.6  2006/08/22 03:14:01  shadzik
- 0.7

Revision 1.5  2006/08/08 01:43:59  glen
- fix amd64 build

Revision 1.4  2006/07/11 11:13:20  shadzik
- drop -devel subpackage and move *.la files to main package

Revision 1.3  2006/07/06 10:50:49  shadzik
- up to 0.6
- more files; devel subpackage

Revision 1.2  2006/02/04 23:41:44  qboosh
- pl

Revision 1.1  2006/02/03 18:14:25  megabajt
- new
